KHE::ZoomInterface Class Referenceabstract

`#include <zoominterface.h>`

## Public Member Functions

virtual void | zoomIn (int PointInc)=0
virtual void | zoomIn ()=0
virtual void | zoomOut (int PointDec)=0
virtual void | zoomOut ()=0
virtual void | zoomTo (int PointSize)=0
virtual void | unZoom ()=0

## Detailed Description

A simple interface for zooming.

This interface enables abstract linear zooming. It operates in sizes of font point size.

Author
  Friedrich W. H. Kossebau Fried.nosp@m.rich.nosp@m..W.H@.nosp@m.Koss.nosp@m.ebau..nosp@m.de

See also
  createBytesEditWidget(), zoomInterface()

Since
  3.2

Definition at line 35 of file zoominterface.h.

## Member Function Documentation

virtual void KHE::ZoomInterface::unZoom | ( |  | ) |

pure virtual

resets the display to the default size

virtual void KHE::ZoomInterface::zoomIn | ( | int | PointInc | ) |

pure virtual

enlarges the display

Parameters

  PointInc | increment to the display size (in font point size)

virtual void KHE::ZoomInterface::zoomIn | ( |  | ) |

pure virtual

increases the display size by an arbitrary value, usually 1 font point

See also
  zoomOut()

virtual void KHE::ZoomInterface::zoomOut | ( | int | PointDec | ) |

pure virtual

makes the display smaller

Parameters

  PointDec | decrement to the display size (in font point size)

virtual void KHE::ZoomInterface::zoomOut | ( |  | ) |

pure virtual

decreases the display size by an arbitrary value, usually 1 font point

See also
  zoomIn()

virtual void KHE::ZoomInterface::zoomTo | ( | int | PointSize | ) |

pure virtual

sets the display size

Parameters

  PointSize | new display size (in font point size)

The documentation for this class was generated from the following file:

- zoominterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys